main()   /* This program waits for input, then prints that number 
            of exp(1) deviates */
{
  long i,j,k;
  double rand1(),sign;
  double exp1(),lambda;

  scanf("%ld\n%lf",&j,&lambda);
  k=2476*j;
  for(i=0; i<j; ++i){
    sign=0.5-rand1(&k);
    if(sign>0.0) sign=1.0;
    else sign=-1.0;
    printf("%2.6g\n",sign*exp1(&k)/(2*lambda));
  }
}
